Index: /extensions/UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 17918)
@@ -46,5 +46,5 @@
 	$page['tab'] = 'global';
 else
-  $page['tab'] = $_GET['tab'];
+ $page['tab'] = $_GET['tab'];
 
 $tabsheet = new tabsheet();
@@ -52,7 +52,7 @@
                l10n('UAM_Tab_Global'),
                $my_base_url.'&amp;tab=global');
-  $tabsheet->add('userlist',
-                 l10n('UAM_Tracking registered users'),
-                 $my_base_url.'&amp;tab=userlist');
+$tabsheet->add('userlist',
+               l10n('UAM_Tracking registered users'),
+               $my_base_url.'&amp;tab=userlist');
 $tabsheet->add('usermanager',
                l10n('UAM_Tracking confirmations'),
@@ -83,15 +83,15 @@
 if (function_exists('set_fckeditor_instance'))
 {
-  $fcke_config = unserialize($conf['FCKEditor']);
+		$fcke_config = unserialize($conf['FCKEditor']);
   foreach($areas as $area)
   {
-    if (!isset($fcke_config[$area]))
+				if (!isset($fcke_config[$area]))
     {
       $fcke_config[$area] = false;
     }
   }
-  $conf['FCKEditor'] = serialize($fcke_config);
-
-  set_fckeditor_instance($areas, $toolbar, $width, $height);
+		$conf['FCKEditor'] = serialize($fcke_config);
+
+		set_fckeditor_instance($areas, $toolbar, $width, $height);
 }
 
@@ -108,60 +108,60 @@
 // +-----------------------------------------------------------------------+
 // *************************************************************************
-  case 'global':
-
-	if (isset($_POST['submit']) and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_Password_Enforced']) and isset($_POST['UAM_AdminPassword_Enforced']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']) and isset($_POST['UAM_GTAutoMail']) and isset($_POST['UAM_CustomPasswRetr']) and isset($_POST['UAM_USRAuto']) and isset($_POST['UAM_USRAutoMail']) and isset($_POST['UAM_Stuffs']) and isset($_POST['UAM_HidePassw']) and isset($_POST['UAM_PwdReset']) and isset($_POST['UAM_RejectConnexion']))
-  {
+		case 'global':
+
+		if (isset($_POST['submit']) and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_Password_Enforced']) and isset($_POST['UAM_AdminPassword_Enforced']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']) and isset($_POST['UAM_GTAutoMail']) and isset($_POST['UAM_CustomPasswRetr']) and isset($_POST['UAM_USRAuto']) and isset($_POST['UAM_USRAutoMail']) and isset($_POST['UAM_Stuffs']) and isset($_POST['UAM_HidePassw']) and isset($_POST['UAM_PwdReset']) and isset($_POST['UAM_RejectConnexion']))
+		{
 
     // Render email contents fields
     // ----------------------------
-		$_POST['UAM_MailInfo_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_MailInfo_Text'])));
-
-    $_POST['UAM_ConfirmMail_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Text'])));
-
-    $_POST['UAM_GhostTracker_ReminderText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GhostTracker_ReminderText'])));
-
-    $_POST['UAM_GTAutoDelText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoDelText'])));
-
-    $_POST['UAM_GTAutoMailText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoMailText'])));
-
-    $_POST['UAM_AdminValidationMail_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_AdminValidationMail_Text'])));
-
-    $_POST['UAM_CustomPasswRetr_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_CustomPasswRetr_Text'])));
-
-    $_POST['UAM_USRAutoDelText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoDelText'])));
-
-    $_POST['UAM_CustomRejectConnexion_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_CustomRejectConnexion_Text'])));
-
-    // Render email subjects fields
+				$_POST['UAM_MailInfo_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_MailInfo_Text'])));
+
+				$_POST['UAM_ConfirmMail_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Text'])));
+
+				$_POST['UAM_GhostTracker_ReminderText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GhostTracker_ReminderText'])));
+
+				$_POST['UAM_GTAutoDelText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoDelText'])));
+
+				$_POST['UAM_GTAutoMailText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoMailText'])));
+
+				$_POST['UAM_AdminValidationMail_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_AdminValidationMail_Text'])));
+
+				$_POST['UAM_CustomPasswRetr_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_CustomPasswRetr_Text'])));
+
+				$_POST['UAM_USRAutoDelText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoDelText'])));
+
+				$_POST['UAM_CustomRejectConnexion_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_CustomRejectConnexion_Text'])));
+
+				// Render email subjects fields
     // ---------------------------
-    $_POST['UAM_ConfirmMail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Subject'])));
-
-    $_POST['UAM_ConfirmMail_Remail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Remail_Subject'])));
-
-  $_POST['UAM_InfoMail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_InfoMail_Subject'])));
-
-  $_POST['UAM_GTAutoMail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoMail_Subject'])));
-
-  $_POST['UAM_GTReminder_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTReminder_Subject'])));
-
-  $_POST['UAM_AdminValidationMail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_AdminValidationMail_Subject'])));
-
-
-  // Check if emails are mandatory for registrations (needed for email exclusion option)
-  // -----------------------------------------------------------------------------------
-  if ($conf['obligatory_user_mail_address'])
-  {
-    // Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them
-    // --------------------------------------------------------------------------------------
-    if (preg_match('/^[\s]+/', $_POST['UAM_MailExclusion_List']))
-    {
-      array_push($page['errors'], l10n('UAM_mail_exclusionlist_error'));
-      $UAM_Exclusionlist_Error = true;
-    }
-  }
-  elseif (!$conf['obligatory_user_mail_address'])
-  {
-    $_POST['UAM_MailExclusion_List'] = '';
-  }
+				$_POST['UAM_ConfirmMail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Subject'])));
+
+				$_POST['UAM_ConfirmMail_Remail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Remail_Subject'])));
+
+				$_POST['UAM_InfoMail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_InfoMail_Subject'])));
+
+				$_POST['UAM_GTAutoMail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoMail_Subject'])));
+
+				$_POST['UAM_GTReminder_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTReminder_Subject'])));
+
+				$_POST['UAM_AdminValidationMail_Subject'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_AdminValidationMail_Subject'])));
+
+
+				// Check if emails are mandatory for registrations (needed for email exclusion option)
+				// -----------------------------------------------------------------------------------
+				if ($conf['obligatory_user_mail_address'])
+				{
+							// Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them
+    		// --------------------------------------------------------------------------------------
+    		if (preg_match('/^[\s]+/', $_POST['UAM_MailExclusion_List']))
+    		{
+      		array_push($page['errors'], l10n('UAM_mail_exclusionlist_error'));
+      		$UAM_Exclusionlist_Error = true;
+    		}
+  		}
+  		elseif (!$conf['obligatory_user_mail_address'])
+  		{
+    		$_POST['UAM_MailExclusion_List'] = '';
+  		}
 
     // Consistency check between ConfirmMail and AutoMail - We cannot use GTAutoMail if ConfirmMail is disabled
@@ -172,5 +172,5 @@
     if (((isset($conf_UAM['1']) and ($conf_UAM['1'] == 'false' or $conf_UAM['1'] == 'local')) or ($_POST['UAM_Confirm_Mail'] == 'false' or $_POST['UAM_Confirm_Mail'] == 'local')) and $_POST['UAM_GTAutoMail'] == 'true')
     {
-      $newvalue = 'false';
+    		$newvalue = 'false';
       $_POST['UAM_GTAutoMail'] = $newvalue;
       array_push($page['errors'], l10n('UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'));
@@ -187,6 +187,6 @@
     // Save global UAM configuration
     // -----------------------------
-		$newconf_UAM = array(
-      $_POST['UAM_Mail_Info'],
+				$newconf_UAM = array(
+    		$_POST['UAM_Mail_Info'],
       $_POST['UAM_Confirm_Mail'],
       (isset($_POST['UAM_No_Confirm_Group'])?$_POST['UAM_No_Confirm_Group']:''),
@@ -246,7 +246,7 @@
 
     $_POST['UAM_ConfirmMail_ReMail_Txt2'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_ReMail_Txt2'])));
-    
+
     $_POST['UAM_ConfirmMail_Custom_Txt1'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Custom_Txt1'])));
-    
+
     $_POST['UAM_ConfirmMail_Custom_Txt2'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Custom_Txt2'])));
 
@@ -266,5 +266,5 @@
     // Save ConfirmMail settings
     // -------------------------
-	  $newconf_UAM_ConfirmMail = array (
+	  	$newconf_UAM_ConfirmMail = array (
       $_POST['UAM_ConfirmMail_TimeOut'],
       $_POST['UAM_ConfirmMail_Delay'],
@@ -279,5 +279,5 @@
     conf_update_param('UserAdvManager_ConfirmMail', pwg_db_real_escape_string($conf['UserAdvManager_ConfirmMail']));
 
-		array_push($page['infos'], l10n('UAM_save_config'));
+				array_push($page['infos'], l10n('UAM_save_config'));
   }
 
@@ -352,5 +352,5 @@
   $query = '
 SELECT id, name
-FROM '.GROUPS_TABLE.'
+		FROM '.GROUPS_TABLE.'
 ORDER BY name ASC
 ;';
@@ -364,16 +364,16 @@
     if (isset($conf_UAM[2]) and $conf_UAM[2] == $row['id'])
     {
-	  	$No_Valid = $row['id'];
-		}
+	  			$No_Valid = $row['id'];
+				}
     //configuration value for validated users
     if (isset($conf_UAM[3]) and $conf_UAM[3] == $row['id'])
-		{
-	  	$Valid = $row['id'];
-		}
+				{
+	  			$Valid = $row['id'];
+				}
     //configuration value for downgrade users
     if (isset($conf_UAM[25]) and $conf_UAM[25] == $row['id'])
-		{
-	  	$Downgrade = $row['id'];
-		}
+				{
+	  			$Downgrade = $row['id'];
+				}
   }
 	
@@ -381,9 +381,9 @@
   // ---------------------------------------------------
   $template->assign(
-    'No_Confirm_Group',
-   	array(
-	  	'group_options'=> $groups,
-	  	'group_selected' => $No_Valid
-			)
+  		'No_Confirm_Group',
+   			array(
+	  			'group_options'=> $groups,
+	  			'group_selected' => $No_Valid
+					)
  		);
 
@@ -391,9 +391,9 @@
   // -------------------------------------------------
   $template->assign(
-    'Validated_Group',
-		array(
-      'group_options'=> $groups,
-      'group_selected' => $Valid
-			)
+  		'Validated_Group',
+						array(
+      		'group_options'=> $groups,
+      		'group_selected' => $Valid
+					)
   	);
 
@@ -402,8 +402,8 @@
   $template->assign(
     'Downgrade_Group',
-		array(
-      'group_options'=> $groups,
-      'group_selected' => $Downgrade
-			)
+						array(
+      		'group_options'=> $groups,
+      		'group_selected' => $Downgrade
+					)
   	);
 	
@@ -428,10 +428,10 @@
     // ----------------------------------------------------
     $template->assign(
-      'No_Confirm_Status',
-      array(
-        'Status_options' => $status_options,
-        'Status_selected' => $No_Valid_Status
-			)
-	  );
+    		'No_Confirm_Status',
+    				array(
+        		'Status_options' => $status_options,
+        		'Status_selected' => $No_Valid_Status
+							)
+	  		);
   }
   
@@ -439,21 +439,21 @@
   // --------------------------
   foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
-  {
-	  $status_options[$status] = l10n('user_status_'.$status);
-	  if (isset($conf_UAM[4]) and $conf_UAM[4] == $status)
 		{
-		  $Valid_Status = $status;
-		}
+				$status_options[$status] = l10n('user_status_'.$status);
+				if (isset($conf_UAM[4]) and $conf_UAM[4] == $status)
+				{
+		  		$Valid_Status = $status;
+				}
 		
     // Template initialization for validated users status
     // --------------------------------------------------
     $template->assign(
-	  'Confirm_Status',
-	  array(
-		  'Status_options' => $status_options,
-		  'Status_selected' => $Valid_Status
-		  )
-	  );
-	}
+						'Confirm_Status',
+	  					array(
+		  						'Status_options' => $status_options,
+		  						'Status_selected' => $Valid_Status
+		  				)
+				);
+		}
 
   // Get downgrade status values
@@ -461,20 +461,20 @@
   foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
   {
-	  $status_options[$status] = l10n('user_status_'.$status);
-	  if (isset($conf_UAM[26]) and $conf_UAM[26] == $status)
-		{
-		  $Downgrade_Status = $status;
-		}
+				$status_options[$status] = l10n('user_status_'.$status);
+				if (isset($conf_UAM[26]) and $conf_UAM[26] == $status)
+				{
+		  		$Downgrade_Status = $status;
+				}
 		
     // Template initialization for validated users status
     // --------------------------------------------------
     $template->assign(
-	  'Downgrade_Status',
-	  array(
-		  'Status_options' => $status_options,
-		  'Status_selected' => $Downgrade_Status
-		  )
-	  );
-	}
+						'Downgrade_Status',
+								array(
+										'Status_options' => $status_options,
+										'Status_selected' => $Downgrade_Status
+								)
+				);
+		}
 
 
@@ -490,19 +490,19 @@
   foreach ($conf['available_permission_levels'] as $level)
   {
-    $level_options[$level] = l10n(sprintf('Level %d', $level));
-	  if (isset($conf_UAM[35]) and $conf_UAM[35] == $level)
-	  {
-	    $No_Valid_Level = $level;
-	  }
+				$level_options[$level] = l10n(sprintf('Level %d', $level));
+				if (isset($conf_UAM[35]) and $conf_UAM[35] == $level)
+				{
+						$No_Valid_Level = $level;
+				}
 
     // Template initialization for unvalidated users level
     // ---------------------------------------------------
     $template->assign(
-      'No_Valid_Level',
-      array(
-        'Level_options' => $level_options,
-        'Level_selected' => $No_Valid_Level
-			)
-	  );
+						'No_Valid_Level',
+								array(
+										'Level_options' => $level_options,
+										'Level_selected' => $No_Valid_Level
+								)
+				);
   }
 
@@ -511,19 +511,19 @@
   foreach ($conf['available_permission_levels'] as $level)
   {
-    $level_options[$level] = l10n(sprintf('Level %d', $level));
-	  if (isset($conf_UAM[36]) and $conf_UAM[36] == $level)
-	  {
-	    $Valid_Level = $level;
-	  }
+				$level_options[$level] = l10n(sprintf('Level %d', $level));
+				if (isset($conf_UAM[36]) and $conf_UAM[36] == $level)
+				{
+						$Valid_Level = $level;
+				}
 
     // Template initialization for unvalidated users level
     // ---------------------------------------------------
     $template->assign(
-      'Valid_Level',
-      array(
-        'Level_options' => $level_options,
-        'Level_selected' => $Valid_Level
-			)
-	  );
+						'Valid_Level',
+								array(
+										'Level_options' => $level_options,
+										'Level_selected' => $Valid_Level
+								)
+				);
   }
 
@@ -532,19 +532,19 @@
   foreach ($conf['available_permission_levels'] as $level)
   {
-    $level_options[$level] = l10n(sprintf('Level %d', $level));
-	  if (isset($conf_UAM[37]) and $conf_UAM[37] == $level)
-	  {
-	    $Downgrade_Level = $level;
-	  }
+				$level_options[$level] = l10n(sprintf('Level %d', $level));
+				if (isset($conf_UAM[37]) and $conf_UAM[37] == $level)
+				{
+						$Downgrade_Level = $level;
+				}
 
     // Template initialization for unvalidated users level
     // ---------------------------------------------------
     $template->assign(
-      'Downgrade_Level',
-      array(
-        'Level_options' => $level_options,
-        'Level_selected' => $Downgrade_Level
-			)
-	  );
+						'Downgrade_Level',
+								array(
+										'Level_options' => $level_options,
+										'Level_selected' => $Downgrade_Level
+								)
+				);
   }
 
